> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://docs.ntropy.com/documentation/api/batches/get-batches-v-3-batches-get/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.ntropy.com/_mcp/server. # List all batches GET https://api.ntropy.com/v3/batches Returns a list of submitted batches starting with the most recent one. Reference: https://docs.ntropy.com/documentation/api/batches/get-batches-v-3-batches-get ## Authentication - `X-Api-Key` header (required) — API Key authentication via header ## Request ### Query parameters - `created_after` (datetime, optional, nullable) — Only return batches older or equal than this date - `created_before` (datetime, optional, nullable) — Only return batches newer than this date - `cursor` (string, optional, nullable) — Starting point for the set of batches - `limit` (integer, optional, default: 10) — The limit of batches to be returned - `status` (enum, optional, nullable) — If specified, only return batches with this status - Allowed values: `processing`, `completed`, `error` ## Response ### 200 Successful Response - `next_cursor` (string, required, nullable) - `data` (list of Batch, required) ## Errors ### 422 Unprocessable Entity Error Validation Error - `detail` (list of ValidationError, optional) ## Types ### Batch The `Batch` object represents the status and progress of an asynchronous batch enrichment job. - `id` (string, required) — A unique identifier for the batch. - `operation` (enum, required) - Allowed values: `POST /v3/transactions` - `status` (enum, required) — The status of the batch. Results are not available for a batch with an error status. - Allowed values: `processing`, `completed`, `error` - `created_at` (datetime, required) — The timestamp of when the batch was created. - `updated_at` (datetime, required) — The timestamp of when the batch was last updated. - `progress` (integer, required) — The number of transactions processed so far. - `total` (integer, required) — The total number of transactions in the batch. ### ValidationError - `loc` (list of ValidationErrorLocItems, required) - `msg` (string, required) - `type` (string, required) ### ValidationErrorLocItems ## Examples **Response** ```json { "next_cursor": "XjdHaksD", "data": [ { "id": "203613d2-83c8-4130-8809-d14206eeec20", "operation": "POST /v3/transactions", "status": "processing", "created_at": "2024-01-01T00:00:00", "updated_at": "2024-01-01T00:00:30", "progress": 0, "total": 4000 } ] } ``` **SDK Code** ```python Python SDK from ntropy_sdk import SDK sdk = SDK("cd1H...Wmhl") for batch in sdk.batches.list().auto_paginate(): ... ``` ```javascript const url = 'https://api.ntropy.com/v3/batches'; const options = {method: 'GET', headers: {'X-Api-Key': ''}}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "net/http" "io" ) func main() { url := "https://api.ntropy.com/v3/batches" req, _ := http.NewRequest("GET", url, nil) req.Header.Add("X-Api-Key", "") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://api.ntropy.com/v3/batches") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) request["X-Api-Key"] = '' response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("https://api.ntropy.com/v3/batches") .header("X-Api-Key", "") .asString(); ``` ```php request('GET', 'https://api.ntropy.com/v3/batches', [ 'headers' => [ 'X-Api-Key' => '', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://api.ntropy.com/v3/batches"); var request = new RestRequest(Method.GET); request.AddHeader("X-Api-Key", ""); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = ["X-Api-Key": ""] let request = NSMutableURLRequest(url: NSURL(string: "https://api.ntropy.com/v3/batches")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "GET" request.allHTTPHeaderFields = headers let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```